
From: Chris Wedgwood <cw@f00f.org>

Recent changes mean nodemask.h is required in places it previously wasn't.

Signed-off-by: Chris Wedgwood <cw@f00f.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/kernel/domain.c               |    1 +
 25-akpm/arch/ia64/kernel/topology.c             |    1 +
 25-akpm/arch/ia64/sn/kernel/io_init.c           |    1 +
 25-akpm/arch/ia64/sn/kernel/setup.c             |    1 +
 25-akpm/arch/ia64/sn/kernel/sn2/prominfo_proc.c |    1 +
 25-akpm/arch/ia64/sn/kernel/sn2/sn2_smp.c       |    1 +
 25-akpm/arch/ia64/sn/kernel/sn2/sn_hwperf.c     |    1 +
 7 files changed, 7 insertions(+)

diff -puN arch/ia64/kernel/domain.c~sn2-trivial-nodemaskh-include-fix arch/ia64/kernel/domain.c
--- 25/arch/ia64/kernel/domain.c~sn2-trivial-nodemaskh-include-fix	2005-01-10 17:29:22.581454016 -0800
+++ 25-akpm/arch/ia64/kernel/domain.c	2005-01-10 17:29:22.599451280 -0800
@@ -12,6 +12,7 @@
 #include <linux/cpumask.h>
 #include <linux/init.h>
 #include <linux/topology.h>
+#include <linux/nodemask.h>
 
 #define SD_NODES_PER_DOMAIN 6
 
diff -puN arch/ia64/kernel/topology.c~sn2-trivial-nodemaskh-include-fix arch/ia64/kernel/topology.c
--- 25/arch/ia64/kernel/topology.c~sn2-trivial-nodemaskh-include-fix	2005-01-10 17:29:22.583453712 -0800
+++ 25-akpm/arch/ia64/kernel/topology.c	2005-01-10 17:29:22.599451280 -0800
@@ -18,6 +18,7 @@
 #include <linux/node.h>
 #include <linux/init.h>
 #include <linux/bootmem.h>
+#include <linux/nodemask.h>
 #include <asm/mmzone.h>
 #include <asm/numa.h>
 #include <asm/cpu.h>
diff -puN arch/ia64/sn/kernel/io_init.c~sn2-trivial-nodemaskh-include-fix arch/ia64/sn/kernel/io_init.c
--- 25/arch/ia64/sn/kernel/io_init.c~sn2-trivial-nodemaskh-include-fix	2005-01-10 17:29:22.586453256 -0800
+++ 25-akpm/arch/ia64/sn/kernel/io_init.c	2005-01-10 17:29:22.600451128 -0800
@@ -7,6 +7,7 @@
  */
 
 #include <linux/bootmem.h>
+#include <linux/nodemask.h>
 #include <asm/sn/types.h>
 #include <asm/sn/sn_sal.h>
 #include <asm/sn/addrs.h>
diff -puN arch/ia64/sn/kernel/setup.c~sn2-trivial-nodemaskh-include-fix arch/ia64/sn/kernel/setup.c
--- 25/arch/ia64/sn/kernel/setup.c~sn2-trivial-nodemaskh-include-fix	2005-01-10 17:29:22.588452952 -0800
+++ 25-akpm/arch/ia64/sn/kernel/setup.c	2005-01-10 17:29:22.600451128 -0800
@@ -28,6 +28,7 @@
 #include <linux/compiler.h>
 #include <linux/sched.h>
 #include <linux/root_dev.h>
+#include <linux/nodemask.h>
 
 #include <asm/io.h>
 #include <asm/sal.h>
diff -puN arch/ia64/sn/kernel/sn2/prominfo_proc.c~sn2-trivial-nodemaskh-include-fix arch/ia64/sn/kernel/sn2/prominfo_proc.c
--- 25/arch/ia64/sn/kernel/sn2/prominfo_proc.c~sn2-trivial-nodemaskh-include-fix	2005-01-10 17:29:22.590452648 -0800
+++ 25-akpm/arch/ia64/sn/kernel/sn2/prominfo_proc.c	2005-01-10 17:29:22.601450976 -0800
@@ -12,6 +12,7 @@
 #include <linux/module.h>
 #include <linux/slab.h>
 #include <linux/proc_fs.h>
+#include <linux/nodemask.h>
 #include <asm/system.h>
 #include <asm/io.h>
 #include <asm/sn/sn_sal.h>
diff -puN arch/ia64/sn/kernel/sn2/sn2_smp.c~sn2-trivial-nodemaskh-include-fix arch/ia64/sn/kernel/sn2/sn2_smp.c
--- 25/arch/ia64/sn/kernel/sn2/sn2_smp.c~sn2-trivial-nodemaskh-include-fix	2005-01-10 17:29:22.593452192 -0800
+++ 25-akpm/arch/ia64/sn/kernel/sn2/sn2_smp.c	2005-01-10 17:29:22.601450976 -0800
@@ -19,6 +19,7 @@
 #include <linux/mmzone.h>
 #include <linux/module.h>
 #include <linux/bitops.h>
+#include <linux/nodemask.h>
 
 #include <asm/processor.h>
 #include <asm/irq.h>
diff -puN arch/ia64/sn/kernel/sn2/sn_hwperf.c~sn2-trivial-nodemaskh-include-fix arch/ia64/sn/kernel/sn2/sn_hwperf.c
--- 25/arch/ia64/sn/kernel/sn2/sn_hwperf.c~sn2-trivial-nodemaskh-include-fix	2005-01-10 17:29:22.595451888 -0800
+++ 25-akpm/arch/ia64/sn/kernel/sn2/sn_hwperf.c	2005-01-10 17:29:22.602450824 -0800
@@ -30,6 +30,7 @@
 #include <linux/miscdevice.h>
 #include <linux/cpumask.h>
 #include <linux/smp_lock.h>
+#include <linux/nodemask.h>
 #include <asm/processor.h>
 #include <asm/topology.h>
 #include <asm/smp.h>
_
